#!/usr/bin/env python
import urllib2, re, glob, shutil

dlpage = urllib2.urlopen("http://www.libpng.org/pub/png/libpng.html")
versions = re.findall(r'''libpng-([0-9.]+)\.tar\.xz''', dlpage.read())

versions.sort(key=lambda x: map(int, x.split(".")) )
version = versions[-1]

newBuildFile = "libpng-" + version + ".build"
buildFile, = glob.glob("libpng-*.build")

if buildFile != newBuildFile:
    print "mv {old} {new}".format(old=buildFile, new=newBuildFile)
    shutil.move(buildFile, newBuildFile)
